---
title: "Get fraud risks for an order"
description: "Get a list of fraud risks for a specific order."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-fraud-risks-for-an-order'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-fraud-risks-for-an-order.md'
---
# Get fraud risks for an order

Get a list of fraud risks for a specific order. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/v2/:order_id/risks.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_id`

  string (required)

  Order ID.

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `risks`

  array<object>

  A list of fraud risks.

  * `checkout_id`

    string

    The abandoned checkout ID associated with the order.

  * `display`

    boolean

    Whether to display the risk warning indicator on the order detail page：
    - `true`: Display
    - `false`: Do not display

  * `id`

    string

    Fraud risk ID.

  * `risk_detail_msg_list`

    array<object>

    A list of fraud risk details.

    * `message`

      string

      Information about the fraud risk. 

    * `risk_detail_level`

      string

      Level of the fraud risk. Valid values are:：
      - `cancel`: High risk 
      - `investigate`: Medium risk
      - `accept`: Low risk
      - `unknown`: Unknown risk

  * `score`

    string

    Fraud risk score ranging from 0 to 1, where 1 indicates the highest risk level.

  * `cause_cancel`

    boolean

    Indicates whether to cancel the order. Valid values are:
    - `true`: Cancel
    - `false`: Do not cancel

  * `order_id`

    string

    Order ID.

  * `recommendation`

    string

    Fraud risk level. Valid values are:
    - `cancel`: High risk 
    - `investigate`: Medium risk
    - `accept`: Low risk

  * `source`

    string

    The identifier of the fraud risk resource. Valid values are:
    - `Internal`: The fraud risk determination result from our internal system
    - `External`: The fraud risk determination result from external app


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get fraud risks for an order"
  ],
  "description": "Get a list of fraud risks for a specific order. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "sEnRib5i",
  "parameters": [
    {
      "name": "order_id",
      "in": "path",
      "description": "Order ID.",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order ID.",
        "type": "string"
      },
      "examples": {
        "Get fraud risks for an order": {
          "value": "******************12867"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "risks": {
                "name": "risks",
                "description": "A list of fraud risks.",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "checkout_id": {
                      "name": "checkout_id",
                      "description": "The abandoned checkout ID associated with the order.",
                      "type": "string"
                    },
                    "display": {
                      "name": "display",
                      "description": "Whether to display the risk warning indicator on the order detail page：\n- `true`: Display\n- `false`: Do not display",
                      "type": "boolean"
                    },
                    "id": {
                      "name": "id",
                      "description": "Fraud risk ID.",
                      "type": "string"
                    },
                    "risk_detail_msg_list": {
                      "name": "risk_detail_msg_list",
                      "description": "A list of fraud risk details.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "message": {
                            "name": "message",
                            "description": "Information about the fraud risk. ",
                            "type": "string"
                          },
                          "risk_detail_level": {
                            "name": "risk_detail_level",
                            "description": "Level of the fraud risk. Valid values are:：\n- `cancel`: High risk \n- `investigate`: Medium risk\n- `accept`: Low risk\n- `unknown`: Unknown risk",
                            "type": "string"
                          }
                        },
                        "example": {
                          "message": null,
                          "risk_detail_level": null
                        }
                      },
                      "example": [
                        {
                          "message": null,
                          "risk_detail_level": null
                        }
                      ]
                    },
                    "score": {
                      "name": "score",
                      "description": "Fraud risk score ranging from 0 to 1, where 1 indicates the highest risk level.",
                      "type": "string"
                    },
                    "cause_cancel": {
                      "name": "cause_cancel",
                      "description": "Indicates whether to cancel the order. Valid values are:\n- `true`: Cancel\n- `false`: Do not cancel",
                      "type": "boolean"
                    },
                    "order_id": {
                      "name": "order_id",
                      "description": "Order ID.",
                      "type": "string"
                    },
                    "recommendation": {
                      "name": "recommendation",
                      "description": "Fraud risk level. Valid values are:\n- `cancel`: High risk \n- `investigate`: Medium risk\n- `accept`: Low risk",
                      "type": "string"
                    },
                    "source": {
                      "name": "source",
                      "description": "The identifier of the fraud risk resource. Valid values are:\n- `Internal`: The fraud risk determination result from our internal system\n- `External`: The fraud risk determination result from external app",
                      "type": "string"
                    }
                  },
                  "example": {
                    "display": null,
                    "source": null,
                    "checkout_id": null,
                    "id": null,
                    "order_id": null,
                    "recommendation": null,
                    "risk_detail_msg_list": [
                      {
                        "message": null,
                        "risk_detail_level": null
                      }
                    ],
                    "score": null,
                    "cause_cancel": null
                  }
                },
                "example": [
                  {
                    "id": null,
                    "order_id": null,
                    "recommendation": null,
                    "risk_detail_msg_list": [
                      {
                        "message": null,
                        "risk_detail_level": null
                      }
                    ],
                    "score": null,
                    "source": null,
                    "display": null,
                    "cause_cancel": null,
                    "checkout_id": null
                  }
                ]
              }
            },
            "example": {
              "risks": [
                {
                  "display": null,
                  "id": null,
                  "cause_cancel": null,
                  "checkout_id": null,
                  "order_id": null,
                  "recommendation": null,
                  "risk_detail_msg_list": [
                    {
                      "message": null,
                      "risk_detail_level": null
                    }
                  ],
                  "score": null,
                  "source": null
                }
              ]
            }
          },
          "examples": {
            "Get fraud risks for an order": {
              "description": "Get a list of fraud risks for a specific order.",
              "value": {
                "risks": [
                  {
                    "display": true,
                    "id": "***************8756748604",
                    "order_id": "***************483267014",
                    "recommendation": "investigate",
                    "risk_detail_msg_list": [
                      {
                        "message": "Unusual payment pattern detected",
                        "risk_detail_level": "accept"
                      }
                    ],
                    "score": "0.75",
                    "cause_cancel": false,
                    "checkout_id": "***************25135736",
                    "source": "Internal"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/v2/:order_id/risks.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get fraud risks for an order",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```